defmodule Towerops.Repo.Migrations.AddAgentTokenToSites do
  use Ecto.Migration

  def change do
    alter table(:sites) do
      add :agent_token_id, references(:agent_tokens, type: :binary_id, on_delete: :nilify_all)
    end

    create index(:sites, [:agent_token_id])
  end
end
